import type { SvelteHTMLElements } from 'svelte/elements';
interface JsxDevOpts {
    fileName: string;
    lineNumber: number;
    columnNumber: number;
}
export declare const Fragment: {
    readonly type: "fragment";
    readonly props: {};
};
export type Fragment = typeof Fragment;
declare const jsxDEV: <T extends keyof JsxIntrinsicElements | Fragment["type"]>(type?: T, props?: Record<string, unknown>, _key?: string | number | null | undefined, _isStatic?: boolean, _opts?: JsxDevOpts, _ctx?: unknown) => JSXElement | Fragment;
export { jsxDEV as jsx, jsxDEV as jsxDEV, jsxDEV as jsxs, jsxDEV as jsxsDEV };
export type JsxIntrinsicElements = {
    [K in keyof SvelteHTMLElements]: K extends `svelte:${string}` ? never : Omit<SvelteHTMLElements[K], `on:${string}` | `bind:${string}` | `sapper:${string}` | 'children'> & {
        children?: JSXChildren;
    };
};
export type Tag = keyof JsxIntrinsicElements;
export type JSXElement = {
    type: Tag;
    props: JsxIntrinsicElements[Tag];
};
export type JSXChildren = JSXElement | Fragment | string | number | boolean | null | undefined;
declare global {
    namespace JSX {
        interface IntrinsicElements extends JsxIntrinsicElements {
        }
        type Element = JSXElement;
    }
}
